package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.menu.model.MenuBaseDishesModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AddDishesVo {
   @ApiModelProperty("基础菜品id")
   private Long baseDishesId;
   @ApiModelProperty("菜品ids")
   private List<Long> dishesIds;
   @ApiModelProperty("菜品别信息")
   private List<MenuBaseDishesModel> menuBaseDishes;

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public List<Long> getDishesIds() {
      return this.dishesIds;
   }

   public List<MenuBaseDishesModel> getMenuBaseDishes() {
      return this.menuBaseDishes;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setDishesIds(final List<Long> dishesIds) {
      this.dishesIds = dishesIds;
   }

   public void setMenuBaseDishes(final List<MenuBaseDishesModel> menuBaseDishes) {
      this.menuBaseDishes = menuBaseDishes;
   }
}
